kind: pipeline
type: docker
name: build

trigger:
  event:
    - push

steps:
  - name: docker-build
    image: plugins/docker
    settings:
       dockerfile: Dockerfile
       context: .
       registry: hub.codefirst.iut.uca.fr
       repo: hub.codefirst.iut.uca.fr/thomas.bellembois/codefirst-dockerrunner
       username:
         from_secret: SECRET_REGISTRY_USERNAME
       password:
         from_secret: SECRET_REGISTRY_PASSWORD